#include <iostream>
#include <print>

import CString;

// main() Funktion
int main()
{
    // String Objekt definieren
    CString myString;

    // String einlesen
    std::cout << "Bitte einen Text eingeben: ";
    std::cin >> myString;
    // Und zur Kontrolle wieder ausgeben
    std::println("Eingabe war: {}", myString.GetString());

    // Jetzt Eingabe in Grossbuchstaben umwandeln
    int index = 0;
    char character;
    do
    {
        character = myString[index];
        if (character != 0)
            myString[index++] = std::toupper(character);
    } while (character != 0);

    // Konvertierten Text ausgeben
    std::println("Alles in Grossbuchstaben: {}", myString.GetString());
}
